=== debian/changelog ===
getfem++ (5.3+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:18:14 +0000

getfem++ (5.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * mark as Build-Depends: python3-dev not python3-all-dev.
    Build system uses automake which makes it difficult to manage
    multiple python versions. Closes: #948018.
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
  * list usr/lib/python*/*-packages/getfem/*.py in debian/not-installed
    to work around Bug#1001914 in dh_missing. These python files are
    processed by dh_python3 via debian/python3-getfem++.pyinstall.

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 21:13:11 +0100

getfem++ (5.3+dfsg1-3) unstable; urgency=medium

  * Remove redundant dependencies on muparser and several boost packages.
  * Fix blas and lapack interface. Closes: #943943.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 27 Dec 2019 13:51:29 +0000

getfem++ (5.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scripts_python3.patch sets bin/extract_doc and
    bin/split_cmdref to python3. Closes: #943943.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2019 23:50:04 +1100

getfem++ (5.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 10_move_getfem_arch_config.patch
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop Python 2: replace python-getfem++ with python3-getfem++.
    Closes: #916893, #936603.
    - add debian patch drop_python2.patch to mop up remaining
      Python2isms.
    - fix_python3_tests_4fe9963c.patch adapts upstream commit 4fe9963c
    - fix_python3_tests_8dcd729f.patch adapts upstream commit 8dcd729f
    - patch getfem.py and __init__.py installed in getfem dir to
      import self via .
    - run debian/tests/python3 from interface/tests/python
  * use dh_missing to identify uninstalled files
  * mark usr/getfem_toolbox/meshes as non-installed
    (only used by interface/tests, which are not installed)
  * python3-getfem++.pyinstall installs the python shared library directly
    from interface/src/python (apparently a bug in upstream build
    scripts: they no longer  install the python .so file)
  * mark libgmm++-dev as Architecture: any to match libmumps-dev
    dependency. Aids cross-compiling. Closes: #940325.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Sep 2019 13:15:41 +0800

getfem++ (5.2+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Fix compatibility with NumPy 1.14, thanks Daniel Watkins (Closes: #899019)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update upstream Homepage
  * Drop ancient X-Python-Version: >= 2.5
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 May 2018 10:57:15 +0000
